package com.cpm.lorealbaMabeline.gsonGetterSetter.leaves;

import com.google.gson.annotations.SerializedName;

public class TLeaveRequestDetail {
    @SerializedName("Id")
    private Integer id;
    @SerializedName("UserId")
    private String userId;
    @SerializedName("Year")
    private Integer year;
    @SerializedName("Month")
    private Integer month;
    @SerializedName("Day")
    private Integer day;
    @SerializedName("LeaveType")
    private String leaveType;
    @SerializedName("LeaveSubType")
    private String leaveSubType;
    @SerializedName("Reason")
    private String reason;
    @SerializedName("ApprovedStatus")
    private String approvedStatus;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public Integer getMonth() {
        return month;
    }

    public void setMonth(Integer month) {
        this.month = month;
    }

    public Integer getDay() {
        return day;
    }

    public void setDay(Integer day) {
        this.day = day;
    }

    public String getLeaveType() {
        return leaveType;
    }

    public void setLeaveType(String leaveType) {
        this.leaveType = leaveType;
    }

    public String getLeaveSubType() {
        return leaveSubType;
    }

    public void setLeaveSubType(String leaveSubType) {
        this.leaveSubType = leaveSubType;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getApprovedStatus() {
        return approvedStatus;
    }

    public void setApprovedStatus(String approvedStatus) {
        this.approvedStatus = approvedStatus;
    }

}
